Index: doc/latex/classEKF__unQ.eps
===================================================================
--- doc/latex/classbdm_1_1BM.eps (revision 275)
+++ doc/latex/classEKF__unQ.eps (revision 280)
@@ -6,5 +6,5 @@
 %Magnification: 1.00
 %%Orientation: Portrait
-%%BoundingBox: 0 0 500 89.4855
+%%BoundingBox: 0 0 500 136.054
 %%Pages: 0
 %%BeginSetup
@@ -20,5 +20,5 @@
 /distx 20 def
 /disty 40 def
-/boundaspect 5.5875 def  % aspect ratio of the BoundingBox (width/height)
+/boundaspect 3.675 def  % aspect ratio of the BoundingBox (width/height)
 /boundx 500 def
 /boundy boundx boundaspect div def
@@ -26,5 +26,5 @@
 /yspacing 0 def
 /rows 6 def
-/cols 9 def
+/cols 6 def
 /scalefactor 0 def
 /boxfont /Times-Roman findfont fontheight scalefont def
@@ -174,22 +174,26 @@
 boxfont setfont
 1 boundaspect scale
+(EKF_unQ) cw
+(bdm::EKFCh) cw
+(bdm::BMcond) cw
+(bdm::EKFCh) cw
+(bdm::BMcond) cw
+(bdm::EKFCh) cw
+(bdm::BMcond) cw
+(bdm::KalmanCh) cw
+(bdm::bdmroot) cw
+(bdm::KalmanCh) cw
+(bdm::bdmroot) cw
+(bdm::KalmanCh) cw
+(bdm::bdmroot) cw
+(bdm::Kalman< chmat >) cw
+(bdm::Kalman< chmat >) cw
+(bdm::Kalman< chmat >) cw
 (bdm::BM) cw
-(bdm::bdmroot) cw
-(bdm::BMEF) cw
-(bdm::EKFfull) cw
-(bdm::Kalman< sq_T >) cw
-(bdm::PF) cw
-(bdm::Kalman< chmat >) cw
-(bdm::Kalman< fsqmat >) cw
-(bdm::Kalman< ldmat >) cw
-(bdm::ARX) cw
-(bdm::MixEF) cw
-(bdm::multiBM) cw
-(bdm::EKFful_unQR) cw
-(bdm::MPF< BM_T >) cw
-(bdm::KalmanCh) cw
-(bdm::EKF< sq_T >) cw
-(bdm::KFcondQR) cw
-(bdm::KFcondR) cw
+(bdm::BM) cw
+(bdm::BM) cw
+(bdm::bdmroot) cw
+(bdm::bdmroot) cw
+(bdm::bdmroot) cw
 /boxwidth boxwidth marginwidth 2 mul add def
 /xspacing boxwidth distx add def
@@ -203,80 +207,103 @@
 % ----- classes -----
 
+ (EKF_unQ) 2.5 0 box
+ (bdm::EKFCh) 0 1 box
+ (bdm::BMcond) 1 1 box
+ (bdm::EKFCh) 2 1 box
+ (bdm::BMcond) 3 1 box
+ (bdm::EKFCh) 4 1 box
+ (bdm::BMcond) 5 1 box
+ (bdm::KalmanCh) 0 2 box
+ (bdm::bdmroot) 1 2 box
+ (bdm::KalmanCh) 2 2 box
+ (bdm::bdmroot) 3 2 box
+ (bdm::KalmanCh) 4 2 box
+ (bdm::bdmroot) 5 2 box
+ (bdm::Kalman< chmat >) 0 3 box
+ (bdm::Kalman< chmat >) 2 3 box
+ (bdm::Kalman< chmat >) 4 3 box
+ (bdm::BM) 0 4 box
+ (bdm::BM) 2 4 box
  (bdm::BM) 4 4 box
+ (bdm::bdmroot) 0 5 box
+ (bdm::bdmroot) 2 5 box
  (bdm::bdmroot) 4 5 box
- (bdm::BMEF) 0 3 box
- (bdm::EKFfull) 2 3 box
- (bdm::Kalman< sq_T >) 3 3 box
- (bdm::PF) 4 3 box
- (bdm::Kalman< chmat >) 5 3 box
- (bdm::Kalman< fsqmat >) 6 3 box
- (bdm::Kalman< ldmat >) 7 3 box
- (bdm::ARX) 1 2 box
- (bdm::MixEF) 1 1 box
- (bdm::multiBM) 1 0 box
- (bdm::EKFful_unQR) 2 2 box
- (bdm::MPF< BM_T >) 4 2 box
- (bdm::KalmanCh) 5 2 box
-5 2 mark
- (bdm::EKF< sq_T >) 6 2 box
- (bdm::KFcondQR) 8 2 box
- (bdm::KFcondR) 8 1 box
 
 % ----- relations -----
 
 solid
+0 2.5 0 out
+solid
+0 5 1 conn
+solid
+1 0 1 in
+solid
+0 0 1 out
+solid
+1 1 1 in
+solid
+0 1 1 out
+solid
+1 2 1 in
+solid
+0 2 1 out
+solid
+1 3 1 in
+solid
+0 3 1 out
+solid
+1 4 1 in
+solid
+0 4 1 out
+solid
+1 5 1 in
+solid
+0 5 1 out
+solid
+1 0 2 in
+solid
+0 0 2 out
+solid
+1 1 2 in
+solid
+1 2 2 in
+solid
+0 2 2 out
+solid
+1 3 2 in
+solid
+1 4 2 in
+solid
+0 4 2 out
+solid
+1 5 2 in
+solid
+1 0 3 in
+solid
+0 0 3 out
+solid
+1 2 3 in
+solid
+0 2 3 out
+solid
+1 4 3 in
+solid
+0 4 3 out
+solid
+1 0 4 in
+solid
+0 0 4 out
+solid
+1 2 4 in
+solid
+0 2 4 out
+solid
+1 4 4 in
+solid
 0 4 4 out
 solid
+1 0 5 in
+solid
+1 2 5 in
+solid
 1 4 5 in
-solid
-1 4 3.25 out
-solid
-0 7 4 conn
-solid
-0 0 3.75 in
-solid
-1 0 2.25 out
-solid
-0 2 3.75 in
-solid
-1 2 2.25 out
-solid
-0 3 3.75 in
-solid
-0 4 3.75 in
-solid
-1 4 2.25 out
-solid
-0 5 3.75 in
-solid
-1 5 2.25 out
-solid
-0 6 3.75 in
-solid
-1 6 2.25 out
-solid
-0 7 3.75 in
-solid
-1 7 2.25 out
-solid
-0 0 2.5 hedge
-solid
-0 0 1.5 hedge
-solid
-0 0 0.5 hedge
-solid
-0 3 0.5 vedge
-solid
-0 2 2.75 in
-solid
-0 4 2.75 in
-solid
-0 5 2.75 in
-solid
-0 6 2.75 in
-solid
-0 7 2.5 hedge
-solid
-0 7 1.5 hedge
-solid
-7 3 1.5 vedge
